Package twisted :: Package internet :: Module udp :: Class ConnectedMulticastPort

[frames | no frames]

## Class ConnectedMulticastPort

     Ephemeral --+
                 |
        Logger --+
                 |
    FileDescriptor --+
                     |
              BasePort --+
                         |
                      Port --+
                             |
                 ConnectedPort --+
                                 |
                MulticastMixin --+
                                 |
                                ConnectedMulticastPort

DEPRECATED.

Connected UDP Port that supports multicasting.

Method Summary
Inherited from MulticastMixin
| ``_joinAddr1`(self, addr, interface, join)`
| ``_joinAddr2`(self, interface, addr, join)`
| ``_setInterface`(self, addr)`
| ``getLoopbackMode`(self)`
| ``getOutgoingInterface`(self)`
| ``getTTL`(self)`
| ``joinGroup`(self, addr, interface)` Join a multicast group.
| ``leaveGroup`(self, addr, interface)` Leave multicast group, return Deferred of success.
| ``setLoopbackMode`(self, mode)`
| ``setOutgoingInterface`(self, addr)` Returns Deferred of success.
| ``setTTL`(self, ttl)`
Inherited from ConnectedPort
| ``__init__`(self, (remotehost, remoteport), port, proto, interface, maxPacketSize, reactor)`
| ``connectionFailed`(self, reason)`
| ``doRead`(self)` Called when my socket is ready for reading.
| ``getPeer`(self)` Returns a tuple of ('INET_UDP', hostname, port), indicating the remote address.
| ``setRealAddress`(self, addr)`
| ``startListening`(self)` Create and bind my socket, and begin listening on it.
| ``write`(self, data)` Write a datagram.
Inherited from Port
| ``__repr__`(self)`
| ``_bindSocket`(self)`
| ``_connectToProtocol`(self)`
| ``connect`(self, host, port)` 'Connect' to remote server.
| ``connectionLost`(self, reason)` Cleans up my socket.
| ``getHandle`(self)` Return a socket object.
| ``getHost`(self)` Returns an IPv4Address.
| ``logPrefix`(self)` Returns the name of my class, to prefix log entries with.
| ``loseConnection`(self)` Stop accepting connections on this port.
| ``setLogStr`(self)`
| ``stopListening`(self)`
| ``writeSequence`(self, seq, addr)`
Inherited from BasePort
| ``createInternetSocket`(self)`
| ``doWrite`(self)` Raises a RuntimeError
Inherited from FileDescriptor
| ``_postLoseConnection`(self)` Called after a loseConnection(), when all data has been written.
| ``fileno`(self)` File Descriptor number for select().
| ``pauseProducing`(self)`
| ``registerProducer`(self, producer, streaming)` Register to receive data from a producer.
| ``resumeProducing`(self)`
| ``startReading`(self)` Start waiting for read availability.
| ``startWriting`(self)` Start waiting for write availability.
| ``stopConsuming`(self)` Stop consuming data.
| ``stopProducing`(self)`
| ``stopReading`(self)` Stop waiting for read availability.
| ``stopWriting`(self)` Stop waiting for write availability.
| ``unregisterProducer`(self)` Stop consuming data from a producer, without disconnecting.
| ``writeSomeData`(self, data)` Write as much as possible of the given data, immediately.
Inherited from Ephemeral
| ``__getstate__`(self)`
| ``__setstate__`(self, state)`

Class Variable Summary
`tuple` | `__implements__` = `((((<class twisted.internet.interfaces....`
Inherited from Port
`int` | `addressFamily` = 2
`int` | `maxThroughput` = 262144
`int` | `socketType` = 2
Inherited from FileDescriptor
`int` | `bufferSize` = 65536
`int` | `connected` = 0
`str` | `dataBuffer` = `''`
`int` | `disconnected` = 0
`int` | `disconnecting` = 0
`int` | `offset` = 0
`NoneType` | `producer` = None
`int` | `producerPaused` = 0
`int` | `streamingProducer` = 0

Class Variable Details

### __implements__

  Type:
    `tuple`
  Value:

        ((((<class twisted.internet.interfaces.IProducer at 0x827b064>,
            <class twisted.internet.interfaces.IReadWriteDescriptor at 0x827d2\
        0c>,
            <class twisted.internet.interfaces.IConsumer at 0x824feb4>,
            <class twisted.internet.interfaces.ITransport at 0x8254024>),
           <class twisted.internet.interfaces.IUDPTransport at 0x81cba5c>,
           <class twisted.internet.interfaces.ISystemHandle at 0x827cf14>),
          <class twisted.internet.interfaces.IUDPConnectedTransport at 0x823b5\
        ...

Generated by Epydoc 2.0 on Sat May 15 20:08:02 2004 | http://epydoc.sf.net